# -*- Mode:Python; indent-tabs-mode:nil; tab-width:4 -*-
#
# Copyright 2022 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from unittest.mock import call

from snapcraft import meta


def test_extract_metadata(mocker):
    mock_appstream_extract = mocker.patch("snapcraft.meta.appstream.extract")
    meta.extract_metadata("some/file", workdir="workdir")

    assert mock_appstream_extract.mock_calls == [
        call("some/file", workdir="workdir"),
    ]
